Skip to main content
GET
Fetch a Refund

Authorizations

Authorization
string
header
required

Use your Razorpay Key ID as the username and Key Secret as the password.

Path Parameters

id
string
required

The unique identifier of the refund to retrieve.

Example:

"rfnd_FP8QHiV938haTz"

Response

The refund details.

A Razorpay Refund object representing a refund transaction.

id
string

Unique identifier for the refund.

Example:

"rfnd_FP8QHiV938haTz"

entity
string

Entity type, always refund for refund objects.

Example:

"refund"

amount
integer

The refund amount in the smallest currency sub-unit (e.g., paise for INR).

Example:

50000

currency
string

The ISO 4217 currency code for the refund.

Example:

"INR"

payment_id
string

The unique identifier of the payment against which the refund was initiated.

Example:

"pay_DJkTfWoJ5ZFPce"

status
enum<string>

The current status of the refund.

Available options:
pending,
processed,
failed
Example:

"processed"

speed_processed
string

The processing speed at which the refund was processed. normal refunds are processed within 5-7 business days; optimum refunds are processed instantly where supported.

Example:

"normal"

receipt
string

A unique receipt number for the refund, for your internal reference.

Example:

"receipt_refund_1001"

notes
object

A key-value store of custom metadata attached to the refund.

Example:
created_at
integer

Unix timestamp (in seconds) at which the refund was created.

Example:

1595491208